
Showroom Mobile Banking - Bug #14862

IB - Avoid import showroom-mb code

22 November 2022 05:21 PM - chok yee fan

Status: Closed Start date: 22 November 2022

Priority: Normal Due date:  

Assignee: Hoo Dextor % Done: 50%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Phase: R1 Branch Code: showroom-proj-base-i5

Description

issue

-------

IB currently import showroom-mb code cause build will build showroom-mb code as well.

expected

-------

IB use showroom-mb code should via share-lib.

can refer readme.md use the command to generate lib share component

e.g.

npm run nx generate @nrwl/angular:library shared/services/device-info

use command to build the IB, by right should only can see dist/app/web-showroom folder only

npm run build:web:hlfpd1

History

#1 - 23 November 2022 09:31 AM - chok yee fan

- Assignee changed from Wee Meng Soh to Megat AhmadSalehudin

swap with wee meng

#2 - 23 November 2022 09:40 AM - chok yee fan

after move all the code, apply nx workspace for web-showroom cannot import showroom-mb directly.

https://nx.dev/recipes/other/ban-external-imports

#3 - 23 November 2022 03:29 PM - Megat AhmadSalehudin

- Status changed from New to Resolved

- Assignee changed from Megat AhmadSalehudin to Hoo Dextor

- % Done changed from 0 to 50

r220051 | ahmadsalehudin | 2022-11-23 15:28:31 MYT

Changed paths:

A /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/libs/shared/faq/tsconfig.lib.json

A /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/libs/shared/services/ipconfig/src/index.ts

A /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/libs/shared/services/ipconfig/tsconfig.json

A /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/libs/shared/faq/src/.DS_Store

M /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/login-main/login-main.ts

M /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/branch-locator/branch-locator.ts

M /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/web-showroom/src/app/faq/faq.module.ts

A /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/libs/shared/faq/tsconfig.json

M /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/web-showroom/src/app/app.component.ts

A /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/libs/shared/services/ipconfig/tsconfig.spec.json

M /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/libs/shared/branch-locator/data-access/src/index.ts

A /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/libs/shared/faq/project.json

A /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/libs/shared/services/ipconfig/jest.config.js
A /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/libs/shared/services/ipconfig/src/.DS_Store

A /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/libs/shared/faq/src/lib/+state

A /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/libs/shared/services/ipconfig/project.json

A /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/libs/shared/services/ipconfig/src/lib/ipconfig.service.ts

A /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/libs/shared/faq/jest.config.js

A /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/libs/shared/faq

A /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/libs/shared/services/ipconfig/src/lib/.DS_Store

A /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/libs/shared/services/ipconfig/tsconfig.lib.json

M /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/app.component.ts

A /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/libs/shared/faq/src/lib/shared-faq.module.ts

A /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/libs/shared/services/ipconfig/src/test-setup.ts

A /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/libs/shared/faq/src/index.ts

M /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/web-showroom/src/app/branch-locator/branch-locator.ts

M /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/ipconfig/ipconfig.ts

A /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/libs/shared/faq/src/lib/faq.service.ts

A /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/libs/shared/faq/src/lib/+state/faq.reducer.ts

A /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/libs/shared/faq/README.md

M /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/web-showroom/src/app/ipconfig/ipconfig.ts

M

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/web-showroom/src/app/accounts/credit-cards/cc-activation/c

c-activation.ts

A /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/libs/shared/faq/src/lib/+state/faq.effects.ts

A

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/libs/shared/branch-locator/data-access/src/lib/branch-locator.mod

el.ts

A /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/libs/shared/services/ipconfig/README.md

A

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/libs/shared/services/ipconfig/src/lib/shared-services-ipconfig.mod

ule.ts

A /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/libs/shared/faq/.DS_Store

A /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/libs/shared/faq/.eslintrc.json

A /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/libs/shared/faq/src/lib/.DS_Store

M /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/faq/faq.module.ts

A /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/libs/shared/faq/tsconfig.spec.json

A /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/libs/shared/faq/src

A /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/libs/shared/faq/src/lib/+state/faq.actions.ts

A /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/libs/shared/services/ipconfig

A /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/libs/shared/services/ipconfig/.DS_Store

A /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/libs/shared/faq/src/test-setup.ts

A /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/libs/shared/services/ipconfig/src

M /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/libs/shared/constants/src/lib/constants-lib-shared.ts

M /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/web-showroom/src/app/faq/faq.ts

A /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/libs/shared/services/ipconfig/src/lib

M /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/faq/faq.ts

A /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/libs/shared/faq/src/lib

A /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/libs/shared/services/ipconfig/.eslintrc.json

Megat - Bug #14862 - IB - Avoid import showroom-mb code

Pending: bannedExternalImports implementation
https://dev.silverlakemobility.com/redmine/issues/14862


#4 - 11 September 2023 10:17 AM - Hoo Dextor

- Status changed from Resolved to Closed

Files

Screenshot 2022-11-22 at 5.16.16 PM.png 173 KB 22 November 2022 chok yee fan

Screenshot 2022-11-22 at 5.19.59 PM.png 22.6 KB 22 November 2022 chok yee fan
